TFTP(1)

NAME
tftp - trivial file transfer protocol

SYNOPSIS
tftp -action localname host foreignname [mode]

DESCRIPTION
If action is w, p, or ap, tftp writes the local file, called localname, onto the foreign host's file system as foreignname. If action is ap, Kerberos authentication is used. Note that foreignname must be quoted if it contains shell special characters. If action is r, g, or ag, tftp reads foreign host's file foreignname into the local file, localname. If action is ag, Kerberos authentication is used. Tftp will not supersede or overwrite existing local files, however; to do so, use action o.

Mode may be netascii, or image. Netascii, the default mode, transfers the file as standard ascii characters. Image mode transfers the file in binary, with no character conversion.

If Kerberos authentication is not used with tftp, access will be denied unless the remote and local host are on the same local-area network.

SEE ALSO
Internet Protocol Handbook
kerberosintro(1)